Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchDataproviders.class.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchDataproviders.class.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchDataproviders.class.ts	(revision 49174)
@@ -3,6 +3,8 @@
 import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
 
 export class FetchDataproviders {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public searchUtils:SearchUtilsClass = new SearchUtilsClass();
   public sub: any; public subResults: any;
@@ -14,8 +16,8 @@
 
 
   constructor ( private _searchDataprovidersService: SearchDataprovidersService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
    }
 
 
@@ -34,8 +36,8 @@
       parameters = "q=" + keyword;
     }
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
 
     this.subResults = this._searchDataprovidersService.searchDataproviders(parameters,null, page, size,[]).subscribe(
@@ -44,10 +46,10 @@
             console.info("search Content Providers: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
             this.results = data[1];
 
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //ar errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
         },
         err => {
@@ -56,15 +58,22 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
         }
     );
   }
 
   public getNumForEntity(entity: string, id:string) {
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
 
       if(id != "" && entity != "") {
 
@@ -72,10 +81,10 @@
               data => {
                   this.searchUtils.totalResults = data;
 
-                  var errorCodes:ErrorCodes = new ErrorCodes();
-                  this.searchUtils.status = errorCodes.DONE;
+                  //var errorCodes:ErrorCodes = new ErrorCodes();
+                  this.searchUtils.status = this.errorCodes.DONE;
                   if(this.searchUtils.totalResults == 0 ){
-                    this.searchUtils.status = errorCodes.NONE;
+                    this.searchUtils.status = this.errorCodes.NONE;
                   }
               },
               err => {
@@ -84,8 +93,15 @@
                   // if( ){
                   //   this.searchUtils.status = ErrorCodes.ERROR;
                   // }
-                  var errorCodes:ErrorCodes = new ErrorCodes();
-                  this.searchUtils.status = errorCodes.ERROR;
+                  //var errorCodes:ErrorCodes = new ErrorCodes();
+                  //this.searchUtils.status = errorCodes.ERROR;
+                  if(err.status == '404') {
+                    this.searchUtils.status = this.errorCodes.NOT_FOUND;
+                  } else if(err.status == '500') {
+                    this.searchUtils.status = this.errorCodes.ERROR;
+                  } else {
+                    this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                  }
               }
           );
       }
@@ -92,16 +108,16 @@
   }
 
   public getNumForSearch(keyword: string) {
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
 
       this._searchDataprovidersService.numOfSearchDataproviders(keyword).subscribe(
           data => {
               this.searchUtils.totalResults = data;
-              this.searchUtils.status = errorCodes.DONE;
+              this.searchUtils.status = this.errorCodes.DONE;
 
               if(this.searchUtils.totalResults == 0) {
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -110,15 +126,22 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
 
 public getResultsForDeposit(id:string, type:string, page: number,  size: number){
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
   if(id != "") {
 
@@ -128,10 +151,10 @@
               console.info("search Dataproviders forDeposit: [id:"+id+", type:"+type+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -140,15 +163,22 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
 }
 public getResultsBySubjectsForDeposit(subject:string, type:string, page: number,  size: number){
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
       this._searchDataprovidersService.searchDataProvidersBySubjects(subject,type, page, size).subscribe(
           data => {
               this.searchUtils.totalResults = data[0];
@@ -155,10 +185,10 @@
               console.info("search Dataproviders forDeposit: [subject:"+subject+", type:"+type+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -167,15 +197,22 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
 
 }
   public getResultsForEntity(entity:string, id:string, page: number, size: number){
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
 
     var parameters = "";
 
@@ -191,10 +228,10 @@
                 console.info("search Dataproviders for "+entity+": [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
                 this.results = data[1];
 
-                var errorCodes:ErrorCodes = new ErrorCodes();
-                this.searchUtils.status = errorCodes.DONE;
+                //var errorCodes:ErrorCodes = new ErrorCodes();
+                this.searchUtils.status = this.errorCodes.DONE;
                 if(this.searchUtils.totalResults == 0 ){
-                  this.searchUtils.status = errorCodes.NONE;
+                  this.searchUtils.status = this.errorCodes.NONE;
                 }
             },
             err => {
@@ -203,8 +240,15 @@
                 // if( ){
                 //   this.searchUtils.status = ErrorCodes.ERROR;
                 // }
-                var errorCodes:ErrorCodes = new ErrorCodes();
-                this.searchUtils.status = errorCodes.ERROR;
+                //var errorCodes:ErrorCodes = new ErrorCodes();
+                //this.searchUtils.status = errorCodes.ERROR;
+                if(err.status == '404') {
+                  this.searchUtils.status = this.errorCodes.NOT_FOUND;
+                } else if(err.status == '500') {
+                  this.searchUtils.status = this.errorCodes.ERROR;
+                } else {
+                  this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                }
             }
         );
     }
@@ -211,8 +255,8 @@
   }
 
   public getResultsForDataproviders(id:string, page: number, size: number){
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
 
     this._searchDataprovidersService.getDataProvidersforEntityRegistry(id, page, size).subscribe(
         data => {
@@ -220,10 +264,10 @@
             console.info("search Dataproviders for Entity Registry: [Id:"+id+" ]  [total results:"+this.searchUtils.totalResults+"]");
             this.results = data[1];
 
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
         },
         err => {
@@ -232,8 +276,15 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
         }
     );
   }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts	(revision 49174)
@@ -51,7 +51,7 @@
 
 
                 <div *ngIf="fetchDataproviders.searchUtils.totalResults > 0">
-                    <h2 *ngIf="organization != undefined">
+                    <h2 *ngIf="organization">
                         <span>content providers for institution: </span>
                         <a *ngIf="organization['url']!=''" href="{{organization.url}}" target="_blank">
                             <span>{{organization['name']}} (<i class="custom-external"></i>)</span>
@@ -86,8 +86,8 @@
 
 
                 <div *ngIf="(fetchDataproviders.searchUtils.totalResults == 0 && status == errorCodes.DONE)
-                            || status == errorCodes.NONE || status == errorCodes.ERROR" class = "alert alert-warning">
-                    <div *ngIf="organization != undefined">
+                            || status == errorCodes.NOT_FOUND || status == errorCodes.ERROR || status == errorCodes.NOT_AVAILABLE" class = "alert alert-warning">
+                    <div *ngIf="organization">
                         <span *ngIf="fetchDataproviders.searchUtils.status == errorCodes.ERROR">
                             An error occured.
                         </span>
@@ -98,12 +98,15 @@
                         <span *ngIf="organization['url']==''">{{organization['name']}}</span>
                         .
                     </div>
-                    <div *ngIf="status == errorCodes.NONE && organizationId != ''">
+                    <div *ngIf="status == errorCodes.NOT_FOUND && organizationId != ''">
                         No organization with ID: {{organizationId}} found.
                     </div>
                     <div *ngIf="status == errorCodes.ERROR && organizationId != ''">
                         An error occured.
                     </div>
+                    <span *ngIf="status == errorCodes.NOT_AVAILABLE && organizationId != ''">
+                        Service temprorarily unavailable. Please try again later.
+                    </span>
                     <div *ngIf="organizationId == ''">
                         No ID for organization.
                     </div>
@@ -123,6 +126,7 @@
         </div>
       </div>
     </div>
+
     `
 })
 
@@ -211,19 +215,26 @@
 
         this._organizationService.getOrganizationInfo(this.organizationId).subscribe(
             data => {
-                this.organization = (data && data.title)?data.title:"";
-                this.status = this.errorCodes.DONE;
-                this.searchDataproviders();
+                if(data == null) {
+                  this.status = this.errorCodes.NOT_FOUND;
+                } else {
+                  this.organization = data.title;
+                  this.status = this.errorCodes.DONE;
+                  this.searchDataproviders();
+                }
             },
             err => {
                 //console.log(err)
 
                 if(err.status == '404') {
-                    this.status = this.errorCodes.NONE;
-                    console.info("none");
+                  this.status = this.errorCodes.NOT_FOUND;
+                  console.info("not found");
+                } else if(err.status == '500') {
+                  this.status = this.errorCodes.ERROR;
+                  console.info("error");
                 } else {
-                    this.status = this.errorCodes.ERROR;
-                    console.info("error");
+                  this.status = this.errorCodes.NOT_AVAILABLE;
+                  console.info("not available");
                 }
             }
         );
